<div [formGroup]="form">
  <h3>{{ "Citizen.SelectCitizenToRevoke" | translate }}</h3>
  <nz-form-control nzErrorTip='{{ "Citizen.pleaseChooseCitizen" | translate }}'>
    <nz-input-group>

      <nz-select nzShowSearch nzAllowClear formControlName="targetCitizenId" style="width: 100%;"
        [nzLoading]="isLoading" nzServerSearch (nzOnSearch)="onSearch($event)" [nzCustomTemplate]="selectedTemplate">
        <nz-option nzCustomContent *ngFor="let citizen of citizens" [nzLabel]="citizen.name" [nzValue]="citizen.id">
          <nz-avatar nz-comment-avatar nzIcon="user" [nzSrc]="citizen.avatar"></nz-avatar>
          {{ citizen.name }}
        </nz-option>
      </nz-select>

      <ng-template #selectedTemplate let-selected>
        <nz-avatar nz-comment-avatar nzIcon="user" [nzSrc]="selectedCitizen?.avatar"></nz-avatar>
        {{ selectedCitizen?.name }}
      </ng-template>

    </nz-input-group>
  </nz-form-control>
</div>
